DeluxHostAPI Reference
VPS management

List operating system templates

GET
/v1/services/{serviceId}/virtfusion/templates

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/services/0/virtfusion/templates' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "name": "string",      "version": "string",      "variant": "string",      "group": "string",      "app": {        "name": "string",        "iconUrl": "string",        "featured": true      }    }  ]}